export function getCurrentPosition() {
	const p = new Promise<GeolocationPosition | null>((resolve, reject) => {
		if (navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(
				(position) => resolve(position),
				(error) => {
					resolve(null);
				}
			);
		} else {
			console.log('Geolocation is not supported by this browser.');
			resolve(null);
		}
	});
	return p;
}
